# Codify our log data retention policy
#
# A maximum retention of 30 days conforms to the published log retention policy,
# see https://private.storage/privacy-policy/ .

{ options, lib, ... }: {
  options.services.private-storage.monitoring.policy = {
    logRetentionSeconds = lib.mkOption {
      type = lib.types.int;
      description = "How long do we retain logs (seconds)";
      default = 29 * (24 * 60 * 60);  # 29 days, to accomodate for the journald log rotation (1 day).
    };
  };
}
